### Class

# St IconInfo

since: 14

#### Description

    final class St.IconInfo : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Constructors

###### st_icon_info_new_for_pixbuf

Creates a `StIconInfo` for a `GdkPixbuf`.

since: 14

#### Instance methods

###### st_icon_info_get_base_scale

Gets the base scale for the icon. The base scale is a scale for the icon that was specified by the icon theme creator. For instance an icon drawn for a high-dpi screen with window scale 2 for a base size of 32 will be 64 pixels tall and have a base scale of 2.

since: 14

###### st_icon_info_get_base_size

Gets the base size for the icon. The base size is a size for the icon that was specified by the icon theme creator. This may be different than the actual size of image; an example of this is small emblem icons that can be attached to a larger icon. These icons will be given the same base size as the larger icons to which they are attached.

since: 14

###### st_icon_info_get_filename

Gets the filename for the icon.

since: 14

###### st_icon_info_is_symbolic

Checks if the icon is symbolic or not. This currently uses only the file name and not the file contents for determining this. This behaviour may change in the future.

since: 14

###### st_icon_info_load_icon

Renders an icon previously looked up in an icon theme using st_icon_theme_lookup_icon(); the size will be based on the size passed to st_icon_theme_lookup_icon(). Note that the resulting pixbuf may not be exactly this size; an icon theme may have icons that differ slightly from their nominal sizes, and in addition GTK+ will avoid scaling icons that it considers sufficiently close to the requested size or for which the source image would have to be scaled up too far. (This maintains sharpness.). This behaviour can be changed by passing the `ST_ICON_LOOKUP_FORCE_SIZE` flag when obtaining the `StIconInfo`. If this flag has been specified, the pixbuf returned by this function will be scaled to the exact size.

since: 14

###### st_icon_info_load_icon_async

Asynchronously load, render and scale an icon previously looked up from the icon theme using st_icon_theme_lookup_icon().

since: 14

###### st_icon_info_load_icon_finish

Finishes an async icon load, see st_icon_info_load_icon_async().

since: 14

###### st_icon_info_load_symbolic

Loads an icon, modifying it to match the system colours for the foreground, success, warning and error colors provided. If the icon is not a symbolic one, the function will return the result from st_icon_info_load_icon().

since: 14

###### st_icon_info_load_symbolic_async

Asynchronously load, render and scale a symbolic icon previously looked up from the icon theme using st_icon_theme_lookup_icon().

since: 14

###### st_icon_info_load_symbolic_finish

Finishes an async icon load, see st_icon_info_load_symbolic_async().

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct StIconInfoClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.